Subject: Re: herbal healing 1500-1600 ad

From: [email-masked] (Conrad Richter)
Date: Wed, 07 Dec 94 12:26:31 EST

Jennifer Davis <[email-masked]> writes:

> Hi, IÕm trying to find information on 15th and 16th century methods for heali
> Thanks

The Herbal by John Gerard, published late 1500s, is still in print.  
(We have it.)  This would be an excellent start.  But, gosh, there 
are dozens of other books you may want to consult also.  You might 
also look at Culpeper's Complete Herbal which was in print until 
recently. 

Conrad Richter

RICHTERS HERBS                     | Info:                 [email-masked]
Goodwood, ON  L0C 1A0, Canada      | Catalog Requests:  [email-masked]
Tel +1-905-640-6677  Fax 640-6641  | What's New for '95:    [email-masked]